Список изменений проекта Qmmp Plugin Pack
--------------

Версия 2.3.0
* переход на API qmmp 2.3
* добавлен модуль mms
* добавлен модуль mplayer
* добавлен модуль mpv (экспериментальный)
* исправлена остановка воспроизведения при обрыве соединения
  в модуле ytb
* изменено контекстное меню в модуле ffvideo
* обновлён голландский перевод (Heimen Stoffels)
* обновлён финский перевод (Kimmo Kujansuu)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён корейский перевод (Jung Hee Lee)
* обновлён польский перевод (Marek Adamski)
* обновлён русский перевод (Андрей Степанов)
* обновлён китайский традиционный перевод (Edouard.J.K Li)

Версия 2.2.2
* добавлена поддержка 64-битных версий Windows
* исправлено предупреждение cmake
* обновлён китайский традиционный перевод (Edouard.J.K Li)

Версия 2.2.1
* исправлен информационный диалог в модуле ytb
* исправлена проверка минимальной версии qmmp

Версия 2.2.0
* переход на API qmmp 2.2
* улучшена кодовая база

Версия 2.1.2
* исправлены фильтры имён файлов в модуле modplug
* устранена проблема в настройках модуля modplug
* отключены предупреждения сборки для Qt 6.7

Версия 2.1.1
* добавлена поддержка FFmpeg 5.1
* исправлено зависание в модуле ytb

Версия 2.1.0
* переход на API qmmp 2.1
* добавлен модуль modplug
* удалён модуль xmp

Версия 2.0.2
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён турецкий перевод (abcmen)

Версия 2.0.1
* добавлена поддержка yt-dlp
* обновлён финский перевод (Kimmo Kujansuu, Jiri Grönroos)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён итальянский перевод (Luigi Toscano)

Версия 2.0.0
* переход на Qt6 и qmmp 2.0
* добавлен корейский перевод (Jung Hee Lee)

Версия 1.5.0
* переход на API qmmp 1.5
* добавлен быстрый переход по Youtube-роликам
* задействованы возможности GCC вместо оптимизаций на ассемблере в модуле ffap
* обновлён португальский перевод (Sérgio Marques)
* обновлён голландский перевод (Heimen Stoffels)
* обновлён польский перевод (mrerexx)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён испанский перевод (Joel Barrios)
* обновлён русский перевод (Илья Котов)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Adrien Vigneron)
* обновлён индонезийский перевод (Andika Triwidada)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён финский перевод (Jiri Grönroos, Kimmo Kujansuu)

Версия 1.4.1
* исправлена сборка с последней версией ffmpeg
* исправлено определение архитектуры процессора под FreeBSD
* обновлён голландский перевод (Heimen Stoffels)
* обновлён португальский перевод (Sérgio Marques)
* обновлён французский перевод (Adrien Vigneron)

Версия 1.4.0
* переход на API qmmp 1.4
* добавлен модуль Youtube (используется youtube-dl)
* улучшен модуль ffap
* обновлён португальский перевод (Sérgio Marques)
* обновлён голландский перевод (Heimen Stoffels)
* обновлён польский перевод (mrerexx)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён испанский перевод (Joel Barrios)
* обновлён русский перевод (Алексей Логинов)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Adrien Vigneron)
* обновлён индонезийский перевод (Andika Triwidada)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён немецкий перевод (Ettore Atalan)

Версия 1.3.2
* исправлено предупреждение cmake
* обновлён французский перевод (Adrien Vigneron)

Версия 1.3.1
* исправлена поддержка Qt 5.5
* исправлена проблема с отсутствием свойств CUE-треков в модуле ffap

Версия 1.3.0
* переход на api qmmp 1.3
* улучшен модуль ffvideo
* удалён модуль журнала
* удалён модуль mpg123
* обновлён русский перевод (Алексей Логинов, Виктор Ерухин)
* обновлён польский перевод (mrerexx)
* обновлён португальский перевод (Sérgio Marques)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён испанский перевод (Joel Barrios)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён индонезийский перевод (Wantoyo)
* обновлён итальянский перевод (Luigi Toscano)
* обновлён финский перевод (Jiri Grönroos)
* обновлён китайский традиционный перевод (Cosmos Chen)

Версия 1.2.4
* исправлена компоновка модуля ffvideo
* исправлена сборка без QtSql

Версия 1.2.3
* исправлена поддержка gcc 8.1

Версия 1.2.2
* исправлена сборка для windows
* исправлен модуль Goom:
  - исправлена ошибка сегментации
  - исправлена проблема с оптимизациями gcc (флаг -O2)

Версия 1.2.1
* добавлена поддержка ffmpeg 4.0 в модуле ffvideo
* исправлены проблемы с некоторыми повреждёнными файлами в модуле mpg123
* обновлён итальянский перевод (Luigi Toscano)

Версия 1.2.0
* переход на api qmmp 1.2
* добавлен модуль журнала
* добавлен модуль ffvideo
* добавлена визуализация Goom
* устранены утечки памяти
* добавлен финский перевод (Jiri Grönroos)
* обновлён бразильский португальский перевод (Vitor Pereira)
* обновлён чешский перевод (Jaroslav Lichtblau)
* обновлён китайский упрощённый перевод (Mingcong Bai)
* обновлён французский перевод (Adrien Vigneron и Sébastien Aperghis-Tramoni)
* обновлён галисийский перевод (Delio Docampo Cordeiro)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён польский перевод (Daniel Krawczyk)
* обновлён португальский перевод (Sérgio Marques)
* обновлён русский перевод (Алексей Логинов)
* обновлён испанский перевод (Joel Barrios и Bohdan Shuba)
* обновлён японский перевод (RyoTa SimaMoto)
* обновлён украинский перевод (Геннадий Моцьо)

Версия 1.1.5
* добавлена поддержка тега "исполнитель альбома" в модуле ffap
* исправлена поддержка cmake 3.10
* исправлена поддержка rusxmms в модуле mpg123
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён испанский перевод (Joel Barrios)

Версия 1.1.4
* включены оптимизации на ассемблере в модуле ffap под windows
* исправлена возможная ошибка сегментации в модуле mpg123
* исправлено определение MP3 в WAV-контейнере в модуле mpg123 plugin
* исправлен русский перевод
* обновлён галисийский перевод (Delio Docampo Cordeiro)

Версия 1.1.3
* исправлена поддержка 24-х бит в модуле ffap

Версия 1.1.2
* обновлён бразильский португальский перевод (Vitor Pereira)

Версия 1.1.1
* исправлена поддержка qt5.7
* обновлён немецкий перевод (Ettore Atalan)

Версия 1.1.0
* переход на api qmmp 1.1
* добавлен преобразователь частоты дискретизации на базе libsamplerate
* изменены настройки по умолчанию модуля mpg123
* обновлён болгарский перевод (Kiril Kirilov)
* обновлён китайский традиционный перевод (Jeff Huang)
* обновлён китайский упрощённый перевод (Mingcong Bai, Mingye Wang, mabier)
* обновлён французский перевод (Adrien Vigneron и Sébastien Aperghis-Tramoni)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён перевод на иврит (Genghis Khan)
* обновлён японский перевод (RyoTa SimaMoto)
* обновлён португальский перевод (Sérgio Marques)
* обновлён русский перевод
* обновлён украинский перевод (Геннадий Моцьо)

Версия 1.0.4
* исправлена поддержка TagLib-1.9

Версия 1.0.3
* исправлена поддержка юникода под windows
* исправлена поддержка ape-файлов со встроенным cue при работе под windows
* обновлён французский перевод (Adrien Vigneron)
* обновлён китайский традиционный перевод (Mingye Wang)
* обновлён перевод на иврит (Genghis Khan)

Версия 1.0.2
* исправлена сборка
* исправлено чтение обложек в модуле mpg123
* обновлён русский перевод (AlexL)

Версия 1.0.1
* исправлена сборка (RyoTa SimaMoto)
* уменьшена задержка при чтении тегов в модуле ffap

Версия 1.0.0
* переход на api qmmp 1.0
* переход на Qt5
* исправлен выход за пределы массива в модуле mpg123

Версия 0.9.0
* переход на api qmmp 0.9
* добавлен модуль xmp
* добавлена поддержка тега "исполнитель альбома" в модуль mpg123
* добавлено исключение модулей из сборки без модификации файла qmmp-plugin-pack.pri (при использовании qmake)
* удалён модуль qsui
* улучшена поддержка cmake
* обновлён русский перевод
* обновлён чешский перевод (Jaroslav Lichtblau)
* обновлён перевод на иврит (Genghis Khan)
* обновлён немецкий перевод (Ettore Atalan)
* обновлён португальский перевод (Sérgio Marques)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён французский перевод (Sébastien Aperghis-Tramoni)
* обновлён польский перевод (Daniel Krawczyk)
* обновлён греческий перевод (Dimitrios Glentadakis)
* обновлён японский перевод (RyoTa SimaMoto)

Версия 0.8.6
* исправлена документация

Версия 0.8.5
* исправлен японский перевод (RyoTa SimaMoto)
* исправлена поддержка cmake
* исправлен модуль qsui:
  - устранена проблемы с "прыгающим" ползунком перемотки
  - восстановление максимального размера после цикла скрыть/показать
  - сохранение настроек при скрытии окна

Версия 0.8.4
* исправлен модуль qsui:
  - исправлен украинский перевод (Геннадий Моцьо)
  - исправлено работа с пользовательской цветовой схемой
  - оптимизирована отрисовка списка воспроизведения
  - улучшено качество масштабирования обложек
* исправлены предупреждения компилятора clang в модуле ffap

Версия 0.8.3
* исправлен модуль qsui:
  - исправлено отображение символа '&' в имени вкладки
  - исправлено отображаемое имя текущей директории

Версия 0.8.2
* добавлен португальский перевод (Sérgio Marques)
* добавлена интеграция с сервисом transifex
* добавлено создание нового списка воспроизведения по двойному клику в модуле qsui (Евгений Алексеев)
* улучшено качество масштабирования изображений
* исправлены настройки цвета в модуле qsui
* уменьшена задержка при чтении тегов в модуле mpg123

Версия 0.8.1
* добавлено атоопределение патчей проекта rusxmms в модуле mpg123
* исправлен выбор треков с помощью клавиатуры в модуле qsui
* исправлена активация главного окна в модуле qsui

Версия 0.8.0
* переход на api qmmp 0.8
* улучшен модуль mpg123:
  - добавлен вывод с плавающей точкой
  - добавлена поддержка превышения пикового значения
  - добавлено чтение информации ReplayGain из id3v2-тегов
  - исправлена возможная обшибка сегментации
* улучшен модуль qsui:
  - добавлена сортировка по группе
  - добавлены горячие клавиши для управления громкостью
  - добавлен встроенный обзор файлов
  - добавлен просмотр списков воспроизведения
  - добавлен вывод обложки
  - добавлена возможность скрыть вкладки
  - добавлена настройка панели инструментов
  - добавлена блокировка панелей инструментов
  - добавлен кнопка 'новый список'
  - добавлено меню со списком вкладок
  - улучшена поддержка drag&drop
  - улучшена настройка внешнего вида (с использованием QDockWidget)
  - исправлено назначение клавиши 'выброс'
* добавлен сербский перевод (Mladen Pejaković)
* обновлён русский перевод
* обновлён перевод на иврит (Genghis Khan)
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён сербский перевод (Mladen Pejaković)
* обновлён польский перевод (Grzegorz Gibas)
* обновлён литовский перевод (Algirdas Butkus)

Версия 0.7.7
* исправлены опечатки
* исправлена поддержка польской локализации
* удалены ненужные файлы

Версия 0.7.6
* добавлен поиск с помощью колеса мыши
* исправлено падение в модуле ffap под win32
* исправлено обновление имени списка воспроизведения
* исправлен сброс выбора треков при вызове контекстного меню

Версия 0.7.5
* исправлена ошибка при закрытии вкладок в модуле qsui
* исправлено определение архитектуры процессора при сборке с помощью qmake
* исправлено отключение модуля qsui на этапе сборки (Ryota Shimamoto)
* исправлена поддержка последней версии cmake

Версия 0.7.4
* исправлены предупреждения gcc 4.8
* исправлена утечка памяти

Версия 0.7.3
* исправлена ошибка, вызывающая сброс эквалайзера в модуде qsui

Версия 0.7.2
* исправлен модуль qsui:
  - исправлена утечка памяти
  - исправлено автоскрытие части текста
  - исправлено сочетание клавиш 'переименовать список'

Версия 0.7.1
* исправлен украинский перевод (Геннадий Моцьо)
* исправлена поддержка windows в модуле ffap
* исправлен диалог редактирования горячих клавиш в модуле qsui
* исправлен пункт меню "воспроизвести/приостановить" в модуле qsui

Версия 0.7.0
* переход на api qmmp 0.7
* добавлена поддержка windows в модуль ffap
* добавлена поддержка потокового вещания в модуль mpg123
* добавлено авто-определение yasm
* улучшен модуль qsui:
  - добавлен анализатор спектра
  - добавлена сортировка по времени создания файла
  - добавлена настройка цветов списка воспроизведения
  - добавлено отображение обложки
  - добавлены предустановки эквалайзера
  - улучшены вкладки (перемещение, закрытие с помощью средней кнопки мыши)
* заменён собственный диалог переименования на стандартный
* удалена поддержка qmmp 0.6.x
* обновлён украинский перевод (Геннадий Моцьо)
* обновлён русский перевод
* обновлён польский перевод (Grzegorz Gibas)
* обновлён японский перевод (Ryota Shimamoto)
* обновлён перевод на иврит (Genghis Khan)
* обновлён чешский перевод (Karel Volný)

Версия 0.6.6
* исправлена опечатка

Версия 0.6.5
* улучшена поддержка языков с написанием справа налево
* исправлены предупреждения компилятора

Версия 0.6.4
* добавлена поддержка перенаправления по протоколу http в URL-диалог интерфейса qsui
* обновлён перевод на иврит (Genghis Khan)

Версия 0.6.3
* добавлен перевод на иврит (Genghis Khan)
* добавлены отсутствующие файлы переводов
* исправлены файлы ресурсов
* исправлены настройки интерфейса qsui
* исправлен редактор горячих клавиш
* исправлена полоса прокрутка интерфейса qsui
* исправлено расположение разделительной линии в списке воспроизведения интерфейса qsui

Версия 0.6.2
* исправлен адрес FSF
* исправлены ошибки в файлах cmake
* удалён исполняемый стек из libffap.so (благодарности: Karel Volný)
* исправлено падение во всплывающем сообщении списка воспроизведения
* обновлён литовский перевод (Algirdas Butkus)

Версия 0.6.1
* добавлена возможность отключить оптимизации на aссемблере в модуле FFap
* исправлена документация
* исправлена прокрутка списка воспроизведения
* исправлена сборка
* обновлён украинский перевод (Геннадий Моцьо)

Версия 0.6.0
* первая версия
